# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=pygobject
pkgver=2.28.7
pkgrel=0
pkgdesc="Python bindings for the GObject library"
url="http://www.pygtk.org/"
arch="all"
license="GPL-2.0-or-later"
makedepends="libffi-dev glib-dev python2-dev pycairo-dev"
subpackages="$pkgname-dev $pkgname-doc"
options="!check" #*** No rule to make target 'Regress-1.0.typelib', needed by 'check-local'.
source="https://download.gnome.org/sources/pygobject/${pkgver%.*}/pygobject-$pkgver.tar.xz"

build() {
	CFLAGS="$CFLAGS -D_GNU_SOURCE" \
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--disable-introspection
	make
}

check() {
	make check
}

package() {
	make DESTDIR="$pkgdir" install
}
sha512sums="a5f3ae39f8156bd6234fb6d0ea31eba782fbdd4c292656c31b33e098abe3dcf0774d492cf602a4637cb679af9ecd511b24263349fbfd25708ca70f16cb052dfb  pygobject-2.28.7.tar.xz"
